Bug 139515 - Missing 286 SRPMS from distro (according to rpm queries)
Summary: Missing 286 SRPMS from distro (according to rpm queries)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: distribution   
(Show other bugs)
Version: 2.1
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: John Flanagan
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-16 15:08 UTC by Glen A. Foster
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 21:12:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Failure script/output (36.23 KB, text/plain)
2004-11-16 15:10 UTC, Glen A. Foster
no flags Details

Description Glen A. Foster 2004-11-16 15:08:23 UTC
Description of problem: According to the RPM headers in the packages
for the IA64 distribution of RHEL 2.1 update 6 beta, 436 binary
packages say their SRPM is a package that doesn't exist in the
distribution, which translates into 286 unique missing SRPMS.

Sorry we didn't catch this sooner -- we've been busy with all the
other Red Hat releases that were released for testing in parallel.

Version-Release number of selected component (if applicable):
RHEL 2.1 update 6 public beta (on RHN)

RHN website lists the downloads as:
-----
Disc 1  	650M  	56461e1b6bc6a1594b93f53b6cd83554
Disc 2 		643M 	9739a04a9da6f9bece53da7e3a968664
Disc 3 		174M 	b6ecb525a41ac2f1386f09eef723d2dd
Disc 4 		608M 	3a7511d96b9025ec7c9a40248610b993

# cd $RHEL21U6DIR/ISO/as/ia64
# md5sum *.iso
56461e1b6bc6a1594b93f53b6cd83554  rhel-2.1-U6b1-ia64-as-disc1.iso
9739a04a9da6f9bece53da7e3a968664  rhel-2.1-U6b1-ia64-as-disc2.iso
b6ecb525a41ac2f1386f09eef723d2dd  rhel-2.1-U6b1-ia64-as-disc3.iso
3a7511d96b9025ec7c9a40248610b993  rhel-2.1-U6b1-ia64-as-disc4.iso
# ls $RHEL21U6DIR/as/ia64/SRPMS | wc
    413     413   10466

How reproducible: 100%

Steps to Reproduce:
1. pull down ISOs from RHN
2. extract ISO to common directory
3. check for existence of $(rpm -qp --qf %{SOURCERPM}) files in distro
  
Actual results: will attach shortly.

Comment 1 Glen A. Foster 2004-11-16 15:10:54 UTC
Created attachment 106805 [details]
Failure script/output

Comment 2 John Flanagan 2004-11-17 20:10:27 UTC
This will be fixed for RC.  Good catch.



Comment 3 Glen A. Foster 2004-12-07 18:46:38 UTC
Thanks.  Any ETA for when we'll see new ISOs?

Comment 4 Glen A. Foster 2005-02-01 21:12:23 UTC
Fix verified in the final release of RHEL2.1u6


Note You need to log in before you can comment on or make changes to this bug.